<template>
  <v-container
    color="secondary"
    text-center
    fluid
    :style="'background-image:url(\''+$t('urlBackground')+'\';background-size:cover;'"
  >
    <v-spacer />
    <v-row v-if="displayVerifiedMessage">
      <v-col>
        <v-snackbar
          v-model="snackbar"
          top
          multi-line
          color="info"
          vertical
        >
          <div>
            {{ $t('snackbar1') }}
            <a
              :href="$t('profileLink')"
              class="snackbarLink"
            >
              " {{ $t('myProfile') }} "
              
            </a>
            {{ $t('snackbar2') }}
          </div>
          <v-btn
            color="info"
            elevation="0"
            @click="snackbar = false"
          >
            <v-icon
              color="secondary"
            >
              mdi-close
            </v-icon>
          </v-btn>
        </v-snackbar>
      </v-col>
    </v-row>

    <v-row v-if="displayDeleteAccount">
      <v-col>
        <v-snackbar
          v-model="snackbar"
          top
          multi-line
          color="info"
          vertical
        >
          <div>
            {{ $t('snackbar-account-logout') }}
          </div>
          <v-btn
            color="info"
            elevation="0"
            @click="snackbar = false"
          >
            <v-icon
              color="secondary"
            >
              mdi-close
            </v-icon>
          </v-btn>
        </v-snackbar>
      </v-col>
    </v-row>
    <v-row v-if="displayUnsubscribeEmail">
      <v-col>
        <v-snackbar
          v-model="snackbar"
          top
          multi-line
          color="info"
          vertical
        >
          <div>
            {{ displayUnsubscribeEmail }}
          </div>
          <v-btn
            color="info"
            elevation="0"
            @click="snackbar = false"
          >
            <v-icon
              color="secondary"
            >
              mdi-close
            </v-icon>
          </v-btn>
        </v-snackbar>
      </v-col>
    </v-row>

    <!-- Title and subtitle -->
    <v-row
      align="center"
      justify="center"
      class="pt-16 mt-16"
    >
      <v-col
        cols="12"
        lg="7"
        class="text-center white searchComponenent"
      >
        <v-row>
          <v-col
            cols="12"
            class="text-center"
          >
            <h1 class="primary--text">
              {{ $t('title') }}
            </h1>
            <p class="primary--text">
              {{ $t('intro.line1') }}<br>{{ $t('intro.line2') }}
            </p>
          </v-col>
        </v-row>
        <v-row>
          <v-col class="mt-2">        
            <h1
              class="primary--text"
            >
              {{ $t('subtitle') }}
            </h1>
            <search
              :geo-search-url="geoSearchUrl"
              :geo-complete-results-order="geoCompleteResultsOrder"
              :geo-complete-palette="geoCompletePalette"
              :geo-complete-chip="geoCompleteChip"
              :user="user"
              :regular="regular"
              :punctual-date-optional="punctualDateOptional"
              class-align-publish-button="text-right"
              class-align-search-button="text-left"
              :image-swap="$t('urlImageSwap')"
              full-size
              class="font weight-bold secondary--text"
            />
          </v-col>
        </v-row>
      </v-col>
    </v-row>

    <v-row
      dense
      justify="center"
      class="mt-8"
    >
      <v-col
        align="center"
        cols="12"
      >
        <v-btn
          rounded
          color="primary"
          :href="$t('route.relayPoints')"
          dark
          class="elevation-0"
        >
          {{ $t('button.relayPoints') }}
        </v-btn>
      </v-col>
    </v-row>
    <v-spacer />
   



    <v-row
      align="center"
      class="mt-16 pt-16"
      justify="center"
    >
      <v-col
        cols="6"
        lg="10"
        class="mt-16 mt-lg-4 mt-md-2"
      >
        <home-content
          :community-display="communityDisplay"
          :event-display="eventDisplay"
          :solidary-display="solidaryDisplay"
          :url-mobile="mobileUrl"
          :user-id="(user && user.id) ? user.id : null"
        />
      </v-col>
    </v-row>

    <!--  phone  -->
    <v-row
      dense
      align="center"
      class="pt-16 mt-16"
    >
      <v-spacer />
      <v-col
        cols="3"
      >
        <v-img
          :src="$t('phone')"
        />
      </v-col>
      <v-col
        cols="6"
      >
        <v-row
          dense
        >
          <v-col
            class="primary--text font-weight-bold text-left mt-xl-8 pt-lg-16"
          >
            <h2
              style="font-size:2.8rem;line-height:1.25em;"
              v-html="$t('phoneText')"
            />
            <col>
          </v-col>
        </v-row>
        <v-row
          dense
        >
          <v-col cols="3">
            <a
              :href="$t('linkAndroid')"                    
              target="_blank"
            >
              <v-img
                :src="'/images/footer/android.svg'"
                contain
                class="logos-stores"
                width="150"
              />
            </a>
          </v-col>
          <v-col cols="3">
            <a :href="$t('linkApple')">
              <v-img
                :src="'/images/footer/IOS.svg'"
                contain
                class="logos-stores"
                width="150"
              />
            </a>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
    <m-dialog v-if="displayCee" />
  </v-container>
</template>

<script>
import {merge} from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/Home/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/Home/";
import Search from "@components/carpool/search/Search";
import MDialog from "@components/utilities/MDialog";
import HomeContent from "@clientComponents/home/HomeContent";


let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Search,
    HomeContent,
    MDialog,
  },
  props: {
    geoSearchUrl: {
      type: String,
      default: ""
    },
    user: {
      type: Object,
      default: null
    },
    regular: {
      type: Boolean,
      default: false
    },
    punctualDateOptional: {
      type: Boolean,
      default: false
    },
    displayDeleteAccount: {
      type: Number,
      default: 0
    },
    displayUnsubscribeEmail: {
      type: String,
      default: ""
    },
    // params to add to the publish and search routes
    params: {
      type: Object,
      default: null
    },

    urlMobile: {
      type: String,
      default: null
    },
    informativeMessageActive: {
      type: Boolean,
      default: false
    },
    informativeMessageText: {
      type: String,
      default: null
    },
    geoCompleteResultsOrder: {
      type: Array,
      default: null
    },
    geoCompletePalette: {
      type: Object,
      default: () => ({})
    },
    geoCompleteChip: {
      type: Boolean,
      default: false
    },
    displayCee: {
      type: Boolean,
      default: false
    }
  },
  data () {
    return {
      snackbar: true,
      displayVerifiedMessage: false,
      mobileUrl: this.urlMobile,
      items:this.$t("items")
    }
  },
  mounted() {
    this.checkVerifiedPhone();
  },
  methods:{
    checkVerifiedPhone() {
      if (this.user !==null && this.user.telephone !== null) {
        this.displayVerifiedMessage = this.user.phoneValidatedDate ? false : true;
      }
    }
  }
};
</script>


<style lang="scss" scoped>
.searchComponenent {
  background-color: rgba(255,255,255, 0.8) !important;
}
.snackbarLink {
  color: #9fc519;
}
</style>
